AnsweredAssumed Answered

Incorrect SECO FW Version

Question asked by Stuart Rubin on Apr 17, 2020
Latest reply on May 11, 2020 by Thomas Schäfer

I am using an iMX8QM-MEK board and making a custom SCU Firmware (scfw_tcm.bin). With the debug monitor enabled, upon boot, I get the following error:

"Incorrect SECO FW Version 2.3.1 (2.5.4 or later required)"

 

This error should be self evident. Nonetheless, I can't seem to find versions of the SCFW Porting Kit and the SECO firmware (mx8qm-ahab-container.img) with these versions.

 

Things seem to work, but how would I know that they were not. Or maybe there is some feature that I have not yet used which will break.

 

I am building the SCFW with imx-scfw-porting-kit-1.3.0.

The SECO firmware (mx8qm-ahab-container.img) was extracted from "firmware-imx-8.1".

 

Am I doing something wrong or can someone please steer me towards two compatible versions of the SECO firmware and the SCFW kit?

 

Thank you

Outcomes